%define upstream_name    CSS
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Object oriented access to Cascading Style Sheets (CSS) 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/I/IA/IAMCAL/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    rebuild-grammar.pl

BuildRequires: perl(CSS::Parse::PRDGrammar)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::RecDescent) >= 1.0.0
BuildRequires: perl(Test::Simple)
BuildArch:  noarch

%description
This module can be used, along with a CSS::Parse::* module, to parse
CSS data and represent it as a tree of objects. Using a CSS::Adaptor::*
module, the CSS data tree can then be transformed into other formats.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Regenerate CSS::Parse::CompiledGrammar (redhat#564808, CPAN RT#53948)
%{__perl} %{SOURCE1}
mv CompiledGrammar.pm CSS/Parse/

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc CSS Changes META.yml README examples
%{perl_vendorlib}/CSS.pm
%{perl_vendorlib}/CSS
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.90.0-11.mga8
+ Revision: 1503499
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.90.0-10.mga7
+ Revision: 1281882
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.90.0-9.mga7
+ Revision: 1163734
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 1.90.0-8.mga7
+ Revision: 1158747
- add BR on perl(CSS::Parse::PRDGrammar)

* Sat Jun 18 2016 pterjan <pterjan> 1.90.0-7.mga6
+ Revision: 1024705
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.90.0-6.mga6
+ Revision: 947289
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.90.0-5.mga5
+ Revision: 747106
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.90.0-4.mga5
+ Revision: 683709
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.90.0-3.mga4
+ Revision: 509567
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 363717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 jquelin <jquelin> 1.90.0-1.mga1
+ Revision: 76607
- update to 1.09

* Fri Jan 28 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 42812
- recompile grammar (fix build error)
- mageia rebuild
- imported package perl-CSS


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.0
+ Revision: 403041
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.08-2mdv2009.0
+ Revision: 268390
- rebuild early 2009.0 package (before pixel changes)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-3mdv2008.1
+ Revision: 136980
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-2mdv2007.0
- spec cleanup

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.07-1mdk
- initial Mandriva package

